Photoshop/Mac Sierra OS10.12.4: Updated OS, Photoshop asking for Java

  • 1
  • Problem
  • Updated 11 months ago
  • (Edited)
I've used Photoshop for Mac for several years but when I recently upgraded to Sierra OS10.12.4 I was no longer able to access Photoshop. I get a message saying I need to download Java which I did but I now I always I get the message that Java is corrupt. The people at Apple say the problem is with Photoshop incompatibility with OS10.12.4. What can I do?
Photo of Judy Neunuebel

Judy Neunuebel

  • 1 Post
  • 0 Reply Likes
  • frustrated

Posted 11 months ago

  • 1
Photo of Pete Green

Pete Green, Customer Advocate

  • 679 Posts
  • 111 Reply Likes
Hi Judy,

Sorry for the trouble starting Photoshop in Sierra.

Which version of Photoshop are you working with?
Where did you install Java from? You might try another install of Java and check if Apple's support page has the download you need.

Let us now how it goes.